USN-770-1: ClamAV vulnerability

Ubuntu Security Notice USN-770-1

4th May, 2009

clamav vulnerability

A security issue affects these releases of Ubuntu and its derivatives:

  • Ubuntu 9.04

Software description

  • clamav

Details

A flaw was discovered in the clamav-milter initscript which caused the
ownership of the current working directory to be changed to the 'clamav'
user. This update attempts to repair the incorrect ownership for standard
system directories, but it is recommended that the following command be
performed to report any other directories that may be affected:

$ sudo find -H / -type d -user clamav \! -group clamav 2>/dev/null

Systems configured to run clamav as a user other than the default 'clamav'
user will need to adjust the above command accordingly.

Update instructions

The problem can be corrected by updating your system to the following package version:

Ubuntu 9.04:
clamav-milter 0.95.1+dfsg-1ubuntu1.2

To update your system, please follow these instructions: https://wiki.ubuntu.com/Security/Upgrades.

In general, a standard system upgrade is sufficient to effect the
necessary changes.

References

LP: 365823